
#include <libsaria/track.h>
#include <libsaria/tags.h>

Track::Track(ino_t ino, TrackTag *tag)
{
	inode = ino;
	tags  = tag;
}

Track::~Track()
{
}

ino_t Track::get_inode()
{
	return inode;
}

unsigned int Track::get_track()
{
	return tags->get_track();
}

string Track::get_title()
{
	return tags->get_title();
}

string Track::get_lenstr()
{
	return tags->get_lenstr();
}

string Track::get_artist()
{
	return tags->get_artist();
}

string Track::get_album()
{
	return tags->get_album();
}

unsigned int Track::get_year()
{
	return tags->get_year();
}
